Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.javah
Class Kaffeh

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.javah.Kaffeh

All Implemented Interfaces:
  JavahAdapter

    public class Kaffeh

extends java.lang.Object
implements JavahAdapter

Adapter to the native kaffeh compiler.

Since:
  Ant 1.6.3

Field Summary
`static java.lang.String` | `IMPLEMENTATION_NAME` the name of the javah adapter - kaffeh

Constructor Summary
`Kaffeh()`

Method Summary
`boolean` | `compile(Javah javah)` Performs the actual compilation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMPLEMENTATION_NAME

    public static final java.lang.String IMPLEMENTATION_NAME

  the name of the javah adapter - kaffeh

  See Also:
    Constant Field Values

Constructor Detail

### Kaffeh

    public Kaffeh()

Method Detail

### compile

    public boolean compile(Javah javah)
                    throws BuildException

  Performs the actual compilation.

  Specified by:
    `compile` in interface `JavahAdapter`
  Parameters:
    `javah` - the calling javah task.
  Returns:
    true if the compilation was successful.
  Throws:
    `BuildException` - if there is an error.
  Since:
    Ant 1.6.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD